<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <LinearLayout
            android:id="@+id/activity_login_root"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:gravity="center"
            android:orientation="vertical"
            android:padding="50dp">

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="50dp"
                android:gravity="center_horizontal"
                android:text="@string/login_intro"
                style="@style/TextTitle" />

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="30dp"
                android:gravity="center_horizontal"
                android:text="@string/login_link"
                android:textSize="20dp" />

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="30dp"
                android:gravity="center_horizontal"
                android:text="@string/login_qr"
                android:textSize="20dp" />

            <Button
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:onClick="onLoginButtonClicked"
                android:text="@string/login_qr_button"
                android:drawableStart="@drawable/ic_qr_code"
                android:paddingStart="20dp"
                android:paddingEnd="20dp"/>

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="30dp"
                android:layout_marginBottom="10dp"
                android:gravity="center"
                android:text="@string/login_code"
                android:textSize="20dp" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <EditText
                    android:id="@+id/login_code"
                    style="@style/EditTextStyle"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginRight="10dp"
                    android:layout_weight="1"
                    android:ems="10"
                    android:hint="@string/login_code_hint"
                    android:inputType="textCapCharacters"
                    android:text="" />

                <Button
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_weight="0"
                    android:onClick="onManualLoginButtonClicked"
                    android:text="@string/ok" />

            </LinearLayout>
        </LinearLayout>
    </ScrollView>


    <include
        layout="@layout/loading_screen"
        android:layout_centerHorizontal="true"
        android:layout_centerVertical="true"
        android:layout_width="200dp"
        android:layout_height="200dp"
        android:visibility="gone"/>

</RelativeLayout>